#pragma once
#include "Journal.h"
class Menu {

public:
	void run()
	{
		Record tech1, tech2;
		std::string p_srch;
		Mark marks[5];
		std::string name;
		std::string avg;
		int count = 0;
		int course = 0;

		std::cout << "Input your file name: " << std::endl;
		std::cin >> name;
		createAndWrite(name);

		cl_Journal D(name);

		bool state = true;
		int option;
		while (state)
		{
			std::cout << std::endl << "1)Add record" << std::endl
				<< "2)Search by record" << std::endl
				<< "3)Search by course" << std::endl
				<< "4)Search by group" << std::endl
				<< "5)Search by surname" << std::endl
				<< "6)Search by id" << std::endl
				<< "7)Search by marks" << std::endl
				<< "8)Delete record by record" << std::endl
				<< "9)Change record by record" << std::endl
				<< "10)Average mark by subject" << std::endl
				<< "11)Average mark by course" << std::endl
				<< "12)Average mark by group" << std::endl
				<< "13)Load out txt" << std::endl
				<< "14)Exit" << std::endl
				<< "-> ";


			std::cin >> option;

			std::cout << std::endl;

			switch (option)
			{
			case 1:
				std::cout << "Input record to add" << std::endl;
				insertNewRecord(tech1);
				D.add_record(std::move(tech1));
				break;
			case 2:
				std::cout << "Input record to search" << std::endl;
				insertNewRecord(tech1);
				D.search_record(tech1);
				break;
			case 3:
				std::cout << "Input course number to search records" << std::endl;
				int p_course;
				std::cin >> p_course;
				D.search_record(p_course);
				break;
			case 4:
				std::cout << "Input group to search records" << std::endl;
				std::cin >> p_srch;
				D.search_record_group(p_srch);
				break;
			case 5:
				std::cout << "Input surname to search records" << std::endl;
				std::cin >> p_srch;
				D.search_record_surname(p_srch);
				break;
			case 6:
				std::cout << "Input id to search records" << std::endl;
				std::cin >> p_srch;
				D.search_record_id(p_srch);
				break;
			case 7:
				std::cout << "Input amount of subjects" << std::endl;
				std::cin >> count;
				for (int i = 0; i < count; i++)
				{
					inputMark(marks, count);
				}
				D.search_record(marks);
				break;
			case 8:
				std::cout << "Input account to delete" << std::endl;
				insertNewRecord(tech1);
				D.delete_record(tech1);
				break;
			case 9:
				std::cout << "Input record to change" << std::endl;
				insertNewRecord(tech1);
				std::cout << "Input record to imply" << std::endl;
				insertNewRecord(tech2);
				D.change_record(tech1, std::move(tech2));
				break;
			case 10:
				std::cout << "Input subject" << std::endl;
				std::cin >> avg;
				D.avg_subject(avg);
				break;
			case 11:
				std::cout << "Input course" << std::endl;
				std::cin >> course;
				D.avg_course(course);
				break;
			case 12:
				std::cout << "Input group" << std::endl;
				std::cin >> avg;
				D.avg_group(avg);
				break;
			case 13:
				D.loadOutTXT();
				std::cout << "Data succesfully loaded out to " << name << ".txt!" << std::endl;
				break;
			case 14:
				state = false;
				break;
			default:
				std::cout << "invalid option" << std::endl;
				break;
			}

		}

	}
};


